aboutsummaryrefslogtreecommitdiffstats
path: root/extras/vcl-ldpreload/test/wget_test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'extras/vcl-ldpreload/test/wget_test.sh')
-rwxr-xr-xextras/vcl-ldpreload/test/wget_test.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/extras/vcl-ldpreload/test/wget_test.sh b/extras/vcl-ldpreload/test/wget_test.sh
new file mode 100755
index 00000000000..f85065b0d9b
--- /dev/null
+++ b/extras/vcl-ldpreload/test/wget_test.sh
@@ -0,0 +1,24 @@
+#! /bin/bash
+#
+# wget_test.sh - VCL-LDPRELOAD wget test.
+#
+# Run wget using LD_PRELOAD to fetch a page from
+# nginx running in vpp1 net-namespace.
+#
+#
+
+# Verify Environment.
+if [ -z "$WS_ROOT" ] ; then
+ echo "ERROR: WS_ROOT environment variable not set!" >&2
+ echo " Please set WS_ROOT to VPP workspace root directory." >&2
+ exit 1
+fi
+if [ -z "$LDP_DIR" ] ; then
+ echo "WARNING: LDP_DIR environment variable is not set!"
+ echo " Sourcing $WS_ROOT/extras/vcl-ldpreload/env.sh"
+ source $WS_ROOT/extras/vcl-ldpreload/env.sh
+fi
+
+TEST_APP="${TEST_APP:-wget}"
+LDP_TEST_DIR="${LDP_TEST_DIR:-${LDP_DIR}/test}"
+source $LDP_TEST_DIR/common/nginx_test.sh